[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomSplitter.StartSplitterMove

Method used to start a move operation for the splitter using the mouse position in MouseXY.

## Declaration

Source position: extctrls.pp line 410

`protected procedure TCustomSplitter.StartSplitterMove(`
`const MouseXY: TPoint`
`);`

## Arguments

`MouseXY` |  | TPoint instance with the mouse coordinates when the move operation is started.

## Description

No actions are performed in the method if a splitter drag operation has already been started but has not been completed.

StartSplitterMove ensures that a brush is created to represent the ResizeStyle used for the control. The brush is applied to the rubberband drawn around the splitter control when ResizeStyle contains rsLine or RsPattern.

StartSplitterMove is called from the MouseDown method when the left mouse button is used to drag the splitter control.

See StopSplitterMove for the actions performed when the move operation for the splitter control is completed.

## See also

TCustomSplitter.ResizeStyle |  | Display style used when the splitter control is moved.
TCustomSplitter.MouseDown |  | Initiates the splitter movement operation.
TCustomSplitter.StopSplitterMove |  | Performs actions when splitter movement is stopped at the specified mouse position.
TCustomSplitter.Cursor |  | The shape for the mouse pointer when the control is dragged.